import { ScrollView, View, Image, Button } from '@tarojs/components'
import Taro from '@tarojs/taro';
import { useState, useEffect } from 'react';
import { getOrder } from '../../services/dogAPI';
import AppliCard from './components/AppliCard';
import './style.less'

export default (props) => {
  const id = Taro.getCurrentInstance().router.params.id;
  const [orderInfo, setOrderInfo] = useState()

  useEffect(() => {
    if (id) {
      getOrder(id).then((e) => {
        console.log('e', e);
        setOrderInfo(e)
      })
    }

  }, [id])

  const goSetDogLicense = () => {
    Taro.navigateTo({
      url: '/pages/setDogLicense/index'
    })
  }


  return (
    <ScrollView scrollY style={{ height: '100vh' }}>
      <AppliCard onClick={goSetDogLicense} />

      <View style={{ textAlign: 'center', margin: '6vw 0 3vw 0', color: '#858585', fontSize: '12px' }}>
        申请驳回，费用将原路退回支付账户！
      </View>

    </ScrollView>
  )
}